<form #itemForm="ngForm" (ngSubmit)="onSubmit(itemForm)">
    <div class="field is-horizontal">
        <div class="field-body">

            <div class="field is-narrow">
                <p class="control">
                    <input type="number"
                           style="width: 100px;"
                           [ngModel]="item.amount"
                           class="input"
                           name="amount"
                           required
                           placeholder="Montant">
                </p>
            </div>

            <div class="field">
                <p class="control">
                    <input type="text"
                           class="input"
                           name="description"
                           placeholder="Description"
                           required
                            [ngModel]="item.description">
                </p>
            </div>

            <div class="field is-narrow">
                <button class="button"
                        [ngClass]="{ 'is-primary': isNewItem, 'is-success': !isNewItem}"
                        type="submit"
                        [disabled]="!itemForm.valid">
                  <p *ngIf="isNewItem">Add</p>
                  <p *ngIf="!isNewItem">Save</p>
                </button>
            </div>
        </div>
    </div>
</form>
